Data Fields

# SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack Struct Reference

SmallStack item that can be kept in a pool. More...

`#include <smallstack_type.hpp>`

Inheritance diagram for SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack:

## Data Fields
Tindex | branch_count
| Number of branches in the tree structure this item is parent of.

## Detailed Description

### template<typename Titem, typename Tindex, Titem Tinvalid, Tindex Tgrowth_step, Tindex Tmax_size>
struct SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack

SmallStack item that can be kept in a pool.

Definition at line 146 of file smallstack_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/smallstack_type.hpp